---
title: Type selectors
slug: Web/CSS/Type_selectors
tags:
  - CSS
  - HTML
  - Node
  - Reference
  - Selector
  - Selectors
---
<div>{{CSSRef}}</div>

<p>The CSS <strong>type selector</strong> matches elements by node name. In other words, it selects all elements of the given type within a document.</p>

<pre class="brush: css no-line-numbers notranslate">/* All &lt;a&gt; elements. */
a {
  color: red;
}</pre>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">element { <em>style properties</em> }
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">span {
  background-color: skyblue;
}
</pre>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;span&gt;Here's a span with some text.&lt;/span&gt;
&lt;p&gt;Here's a p with some text.&lt;/p&gt;
&lt;span&gt;Here's a span with more text.&lt;/span&gt;
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Examples', '100%', 150)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#type-selectors', 'Type (tag name) selector')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>No changes</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Selectors', '#type-selectors', 'type selectors')}}</td>
   <td>{{Spec2('CSS3 Selectors')}}</td>
   <td>No changes</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'selector.html#type-selectors', 'type selectors')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('CSS1', '#basic-concepts', 'type selectors')}}</td>
   <td>{{Spec2('CSS1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Selectors">CSS Selectors</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Building_blocks/Selectors">Learn CSS: Selectors</a></li>
</ul>
